Last Comment Bug 198093 - pref to autoclose (toggle) download manager window
: pref to autoclose (toggle) download manager window
Status: VERIFIED FIXED
:
Product: Camino Graveyard
Classification: Graveyard
Component: Downloading (show other bugs)
: unspecified
: PowerPC Mac OS X
: -- enhancement with 4 votes (vote)
: Camino0.9
Assigned To: Josh Aas
: Chris Petersen
Mentors:
: 194164 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-18 13:52 PST by sairuh (rarely reading bugmail)
Modified: 2005-01-20 13:54 PST (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description sairuh (rarely reading bugmail) 2003-03-18 13:52:16 PST
couldn't find a bug on this, but dup as needed.

is there some way that we could automatically close the Downloads window, after
a download has completed?
Comment 1 Neil Lee [:neilio] 2003-05-14 13:50:25 PDT
Yes, please. This, plus the fact that there's no preference right now to get the
download window to "clean up after itself" once a download is completed, makes
downloading w/ Camino rather unwieldy.
Comment 2 Chris Casciano 2003-05-16 22:42:24 PDT
*** Bug 194164 has been marked as a duplicate of this bug. ***
Comment 3 Josh Aas 2004-01-05 09:05:07 PST
taking
Comment 4 Martin Girschick 2004-01-08 00:52:08 PST
automatically closing the window makes only sense, when the download is openend
automatically.

A little bit strange, but useful would be an option which:

a) removes items automatically if they are downloaded completely AND
[("automatically open" is ON) OR (the item is openend or shown)]
b) closes the window when now downloads are shown.
Comment 5 Andy Boyd 2004-01-10 18:07:40 PST
A pref option to auto-close the dl manager after successful download would be a
useful and time saving addition.  Firebird has similar options, surely Camino
could have the same?
Comment 6 Alex K 2004-03-30 15:07:52 PST
so glad I spent ages trolling through all the download manager bugs to see this
was already requested. I'm voting for this bug now!
Comment 7 Josh Aas 2004-03-30 15:19:22 PST
I'll do a patch for this for 0.9. I don't want to do it until we do the major
prefs rewrite for 0.9.
Comment 8 Joel Craig 2004-04-10 17:31:24 PDT
Simply adding:

user_pref("browser.download.progressDnldDialog.keepAlive", false);

to the user.js does not work. There will have to be some tinkering around in the
code to get Camino to recognize this preference.
Comment 9 Joel Craig 2004-04-10 17:32:34 PDT
Simply adding:

user_pref("browser.download.progressDnldDialog.keepAlive", false);

to the user.js does not work. There will have to be some tinkering around in the
code to get Camino to recognize this preference.
Comment 10 Josh Aas 2004-12-02 19:25:27 PST
correct - our dl manager doesn't know anything about that pref at the moment.
Comment 11 Josh Aas 2004-12-17 13:09:49 PST
done as part of pref rewrite, landed on trunk
Comment 12 sairuh (rarely reading bugmail) 2005-01-20 13:54:11 PST
vrfy'd fixed with 2005011808-trunk bits.

Note You need to log in before you can comment on or make changes to this bug.